sitesummary (0.1.34) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 10:29:23 +0000

sitesummary (0.1.33) unstable; urgency=medium

  [ Unit 193 ]
  * d/control, d/rules: Change from cdbs to simple dh rules, drop B-D on cdbs.
  * d/*.install: Strip proceeding debian/tmp/.

  [ Holger Levsen ]
  * Add debian/*docs files for README and TODO.
  * Add debian/source/format and switch it to "3.0 (native)".
  * Bump debian/compat to 11 and adapt build-depends accordingly.
  * debian/control: use https URL for Vcs-Git: header.
  * debian/changelog: remove trailing whitespaces.

 -- Holger Levsen <holger@debian.org>  Sun, 11 Feb 2018 10:05:16 +0000

sitesummary (0.1.32) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * d/sitesummary.triggers:
    - Use explicit -await trigger instead of implicit one.
    - Add comment to avoid lintian warning.

  [ Holger Levsen ]
  * Bump standards version to 4.1.3, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Jan 2018 16:52:35 +0000

sitesummary (0.1.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust nagios kernel version checking module to work with 4.x kernels.
    (Closes: #883323)

  [ Holger Levsen ]
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Dec 2017 12:39:45 +0000

sitesummary (0.1.30) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Drop unnecessary "Testsuite:autopkgtest" header from debian/control,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:28:20 +0200

sitesummary (0.1.29) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix tests/test-server-client script. (Closes: #867361).
    - Unset http_proxy just in case a proxy is used in the test environment;
      thanks to Steve Langasek for the patch.
    - Add conditional sleep statement to avoid autopkgtest failure
      in case of too high load in the test environment.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Aug 2017 21:55:55 +0200

sitesummary (0.1.28) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sitesummary-upload to use CRLF (\r\n) line endings to be compliant
    with apache 2.4.25 security fixes for HTTP requests. (Closes: #852623)

 -- Holger Levsen <holger@debian.org>  Tue, 31 Jan 2017 13:26:50 +0100

sitesummary (0.1.27) unstable; urgency=medium

  * Apply patch by Bas Couwenberg to use Icinga instead of Nagios, as nagios3
    has been removed from Debian. (Closes: #846865)

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jan 2017 22:08:00 +0100

sitesummary (0.1.26) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Adjust parser for collected information to handle the new ifconfig
    output format (Closes: #832342).
  * Adjusted autopkgtest script, prefer service over systemctl when
    restarting apache2.

  [ Holger Levsen ]
  * Override "no-debconf-config" lintian error like all the other kids on the
    block.
    (59 packages have the tag, 47 override it and the lintian maintainers
    assume that probably all the overrides are right as the real errors have
    been fixed by now… As I see it, we use debconf and templates correctly.)
  * debian/control:
    - use https URLs in Vcs-* headers.
    - use /git/ instead of /cgit/ in Vcs-Browser URL.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Nov 2016 14:36:37 +0100

sitesummary (0.1.25) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add libcgi-pm-perl to sitesummary Depends. (Previously this was
    shipped with perl-modules, but now it's a separate package.)
    Thanks to Antonio Terceiro.
  * Add apache2 restart command to tests/test-server-client as this is
    needed after sitesummary.triggers has enabled the cgi module.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Nov 2016 17:59:37 +0100

sitesummary (0.1.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix d/sitesummary.postinst:
    - Drop apache2 restart call as it doesn't seem to work inside chroots.
    - Use maintscript-helper to enable the cgi(d) module and sitesummary
      configuration instead of calling a2enmod and a2enconf directly.

  [ Holger Levsen ]
  * Drop now obsolete debian/sitesummary.lintian-overrides.

 -- Holger Levsen <holger@debian.org>  Sat, 19 Nov 2016 16:02:35 +0100

sitesummary (0.1.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Make sure sitesummary configuration is enabled even in case apache2 is
    installed after sitesummary (Closes: #760084, #830102).
    - Add file d/sitesummary.triggers
    - Add configuration code for triggered) case to d/sitesummary.postinstall

  [ Holger Levsen ]
  * Remove perl-modules from all depends, ${perl:Depends} is enough. Thanks
    lintian.
  * sitesummary-client:
    - recommend iproute2 instead of the obsolete iproute. (Closes: #824681)
    - add a depends to lsb-base (>= 3.0-6), thanks lintian.
  * Add debian/sitesummary.lintian-overrides as we only use the full path to
    test whether the binary is installed.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Nov 2016 15:05:12 +0100

sitesummary (0.1.22) unstable; urgency=medium

  * Make sure to recommend hdparm, to have it available when running
    the system collector.
  * Extend autopkgtest script to verify the entry made it to the server.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 May 2016 07:46:34 +0000

sitesummary (0.1.21) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix sitesummary.prerm (Closes: #823688).

  [ Petter Reinholdtsen ]
  * Add Brazilian Portuguese (pt_BR) translation by Adriano Rafael Gomes
    (Closes: #816940).
  * Adjust nagios kernel version checking module to work with recent
    Ubuntu kernels (Closes: #803720).  Patch from Daniele Palumbo.
  * Updated Standards-Version 3.9.6 to 3.9.8.
  * Added Wolfgang Schweer as uploader.
  * Use Testsuite, not obsolete XS-Testsuite, in control file to
    indicate a autopkgtest is available.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 16 May 2016 09:21:25 +0200

sitesummary (0.1.20) unstable; urgency=medium

  * Remove broken code from autopkgtest script.
  * Rename recommended non-existing package apache2-mpm-worker to apache2.
    (Closes: #791596)
  * Update Standards-Version from 3.9.5 to 3.9.6.
  * Rephrase description of hidden debconf questions to tell lintian
    they are internal.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jan 2016 00:00:11 +0000

sitesummary (0.1.19) unstable; urgency=low

  * Collect output from hdparm -I for every disk device (Closes: #785285).
  * Add missing debhelper token to sitesummary.prerm.
  * Add Dominik George as uploader.
  * Remove Alexander Alemayhu on his request.  Thank  you Alexander for
    all your contributors.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Dec 2015 08:35:08 +0100

sitesummary (0.1.18) unstable; urgency=low

  [ Dominik George ]
  * Fix hanging postinst script (Closes: #785214).
  * Fix dangling symlink in apache config after removal (Closes: #785215).

  [ Mike Gabriel ]
  * debian/control:
    + Add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Sep 2015 11:24:21 +0200

sitesummary (0.1.17) unstable; urgency=high

  * Fix installation problem when sitesummary is preseeded to update
    munin configuration.  Make sure /etc/sitesummary/ is created when
    postinst try to create a file there.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Sep 2014 14:53:36 +0200

sitesummary (0.1.16) unstable; urgency=high

  * Implement workaround for the failing installation when apache and
    sitesummary is installed at the same time, and apache is unpacked
    but not yet configured when the sitesummary postinst is running
    (bug #760084).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 02 Sep 2014 15:24:13 +0200

sitesummary (0.1.15) unstable; urgency=high

  * Try to enable the cgi apache module before the sitesummary
    configuration in the postinst, in case that help with bug #760084.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 31 Aug 2014 20:15:16 +0200

sitesummary (0.1.14) unstable; urgency=low

  * Update Vcs-Browser link to the new cgit interface.
  * Add simple autopkgtest check script to verify that the server is
    working and the client can submit to it.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Aug 2014 23:12:05 +0200

sitesummary (0.1.13) unstable; urgency=high

  * Drop redundant ScriptAlias line from apache configuration to avoid
    error from apache during installation of the sitesummary package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Aug 2014 15:40:34 +0200

sitesummary (0.1.12) unstable; urgency=high

  * Adjust Apache configuration, use 'Require all granted' instead of
    Order/Deny/Allow, and enable cgi.load module when installing the
    sitesummary server to get it working out of the box.
  * Add call to /lib/lsb/init-functions in init.d/sitesummary-client to
    integrate better with systemd.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Aug 2014 22:04:43 +0200

sitesummary (0.1.11) unstable; urgency=medium

  * Migrate setup to Apache 2.4 (Closes: #669782).  Rename conffile
    /etc/apache2/conf.d/sitesummary to
    /etc/apache2/conf-available/sitesummary.conf.  Add code in
    postinst to enable the apache configuration by default on fresh
    installs.
  * Add missing ${perl:Depends} to binary packages dependency list.
  * Remove obsolete code from sitesummary postinst, used when
    migrating apache config in sitesummary version 0.0.7.
  * Add Alexander Alemayhu as uploader.
  * Adjust nagios-plugins/check_kernel_status to avoid perl warning on
    Debian and Ubuntu (LP: 1083143).
  * Reorder version matching in nagios-plugins/check_kernel_status to
    handle newer Linux kernels in Debian (Closes: #752374).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Aug 2014 11:24:35 +0200

sitesummary (0.1.10) unstable; urgency=low

  * Drop Morten Werner Forsbring, Steffen Joeris and Patrick Winnertz as
    uploaders.  Thank you for your good work!
  * Move package upstream source from svn to git.  Update Vcs-* values
    in debian/control to reflect this.
  * Update from debhelper version 5 to 9.
  * Update Standards-Version from 3.9.2 to 3.9.5.  No changes needed.
  * Do not try to check file system usage for file system type pstore.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 04 Apr 2014 08:49:49 +0200

sitesummary (0.1.9) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * sitesummary-nodes: Add support for fetching configuration from
    /etc/sitesummary/sitesummary-nodes.conf, and make it possible to
    configure the nagios warning and critical levels for ping checks.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 17:35:53 +0200

sitesummary (0.1.8) unstable; urgency=low

  * nagios-plugins/check_kernel_status: Add support for new format of
    /proc/version introduced in kernel package version 3.2.32-1.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Nov 2012 21:36:13 +0100

sitesummary (0.1.7) unstable; urgency=low

  [ David Prévot ]
  * debian/control: Fix Vcs- entries.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Nov 2012 15:04:19 +0100

sitesummary (0.1.6) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make Nagios config more robust, ignore hosts without any name and
    address, which must be the result of a corrupt sitesummary entry.
  * Do not check xenfs file systems when generating Nagios config.

  [ David Prévot ]
  * Add Italian debconf translation, thanks to Beatrice Torracca
   (closes: #691353).
  * Fix encoding in German debconf translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 Nov 2012 00:06:13 +0100

sitesummary (0.1.5) unstable; urgency=low

  * Team upload.
  * Add Danish debconf translation, thanks to Joe Hansen (closes: #675598).

 -- David Prévot <taffit@debian.org>  Sat, 18 Aug 2012 13:41:40 -0400

sitesummary (0.1.4) unstable; urgency=low

  * Add support in check_kernel_version for any 3.X kernel.
  * Add support in the Nagios configuration generator to ignore
    specific checks for a given host by listing it in
    /etc/sitesummary/nagiosignore.  Useful for machines where a
    package is installed but disabled.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Apr 2012 20:44:32 +0200

sitesummary (0.1.3) unstable; urgency=low

  * Change temp file name created by nagios-plugins check_cups_queue
    to include host name being checked, to make it easier to figure
    out why some of the temp files are left behind.
  * Reintroduce DHCP server check, only checking if the process runs
    this time.  Check for dhcpd3 on Lenny and dhcpd on Squeeze++.
  * Make sure to restart nagios-nrpe-server when sitesummary-client is
    upgraded, to tell it to discover any new NRPE rules.
  * Correct how to generate label names used by Munin plugins using
    the translation rule proposed by the Munin project.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Feb 2012 08:19:52 +0100

sitesummary (0.1.2) unstable; urgency=low

  * Add support in nagios plugins check_etc_hosts and check_etc_resolv
    for ignoring entires tagged '# NAGIOSIGNORE'.
  * Drop Nagios check for user count, as the check do not check anything
    useful, and the default nrpe setup do not allow us to raise the
    warning levels.
  * Fix typo in calculating process warning levels on LTSP servers.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 31 Jan 2012 20:37:57 +0100

sitesummary (0.1.1) unstable; urgency=low

  * Raise Nagios cups queue length limit (w10,c50 to w30,c70) as 10
    print jobs in a queue seem to be a regular event on the test
    environment I see.
  * Raise Nagios user (w20,c50 to w150,c200) and process limits
    (w500,c1000 to w1500,c2500) on LTSP servers, as these normally
    will have lots of users and processes.
  * Limit Nagios monitoring to hosts in DNS, unless the Nagios client
    tools are installed, to avoid monitoring machines before they are
    configured.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 Jan 2012 19:57:29 +0100

sitesummary (0.1.0) unstable; urgency=low

  * Bump version number, as the package is getting closer to a
    production release.
  * Only use includedir statement in munin configuration with
    munin version 1.4.5 or newer.

  * Debconf translation updates:
    - Added nb.po from Petter Reinholdtsen.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 09 Jan 2012 11:12:36 +0100

sitesummary (0.0.75) unstable; urgency=low

  * Make sure Nagios plugin check_kernel_status always work, no matter
    the width of the terminal used to start nagios/nrpe, by setting
    COLUMNS=1024 when running 'dpkg-l'. (related to #630389).
    Improve plugin error reporting.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2011 12:03:04 +0100

sitesummary (0.0.74) unstable; urgency=low

  * Add munin include dir to default munin config to match recent
    munin versions.
  * Autogenerated Nagios configuration:
    - Ignore devtmpfs, the same way tmpfs is ignored.
    - Only check Linux software RAID if a RAID is enabled and not only
      when /proc/mdstat is present.
    - Report missing ldapsearch tool from check_ldap_root.
    - Rewrite code to recognise a remote Nagios client to use host ID
      to allow a Nagios server to be another Nagios servers client.
    - Fix typo in NRPE rule for check_swap, causing the warning level
      to be ignored.
    - Make sure DNS, IMAPS and Squid checks can be tested on clients
      as well as the server.
  * Collect /etc/lsb-release if present to have more detailed version
    information on Ubuntu.
  * Add suggests from sitesummary on ldap-utils and cups-client for
    tools needed by Nagios checks.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2011 10:42:19 +0100

sitesummary (0.0.73) unstable; urgency=low

  * Add forgotten nagios plugin check_ldap_root to sitesummary-client.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Dec 2011 18:52:10 +0100

sitesummary (0.0.72) unstable; urgency=low

  * Add support for remapping hostnames for individual client entries,
    to make it possible to gather Munin and Nagios status for hosts
    behind VPN connections and with non-unique host names.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 18 Dec 2011 10:28:19 +0100

sitesummary (0.0.71) unstable; urgency=low

  * Make sure 'site-summary -l' report handle hosts without a site set.
  * Make munin plugin more robust, by not mapping 'illegal' characters
    in site names to _.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Nov 2011 11:41:36 +0100

sitesummary (0.0.70) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Improve LDAP server Nagios check, not only checking if the TCP
    port is listening, but also check if the server will reply to
    searches for the root DSE.
  * Adjust sitesummary-nodes code for generating Nagios configuration
    to avoid perl warnings when no default route is set for a host.
  * Adjust nagios-plugins/check_cups_queue to enforce the C locale
    is used to get age calculation working independent of system
    locale.
  * Add more bogus DMI vendor and model strings to the ignore list for
    the hardware settings.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Nov 2011 00:07:28 +0100

sitesummary (0.0.69) unstable; urgency=low

  [ Andreas B. Mundt ]
  * Add 'use warnings;' and 'use strict;' to
    nagios-plugins/check_kernel_status.  Modify code to get rid of
    warnings (i.e. add 'my').

  [ Petter Reinholdtsen ]
  * Make Nagios configuration for the CUPS check more robust.  Require
    both cups and cups-client packages installed to enable it.
  * Change Standards-Version from 3.9.1 to 3.9.2.  No changes needed.
  * Add Catalan translation from Sergi Casbas (Closes: #609714).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Nov 2011 11:31:08 +0100

sitesummary (0.0.68) unstable; urgency=low

  [ Ronny Aasen ]
  * Fixing my previous fix.
    Only run lsscsi from collect.d/system, if /sys/bus/scsi exsists
    to avoid errors on machines without /sys mouted, like chroots
    and vservers (Closes: #602286).

  [ Holger Levsen ]
  * sitesummary-upload: correct check for empty http_proxy variable.
  * Bump standards to 3.9.1, no changes needed.
  * Add myself to uploaders.
  * Add one missing explicit reference to GPL-2 in debian/copyright.

 -- Holger Levsen <holger@debian.org>  Sat, 04 Dec 2010 11:35:57 +0000

sitesummary (0.0.67) unstable; urgency=low

  [ Ronny Aasen ]
  * Only run lsscsi from collect.d/system, if /proc/bus/scsi exsists
    to avoid errors on machines without /sys mouted, like chroots
    and vservers (Closes: #602286).

  [ Petter Reinholdtsen ]
  * Change sitesummary-upload to not try to parse an empty $http_proxy
    variable. This is needed for hosts without a proxy setting
    (Closes: #604025).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Nov 2010 15:02:20 +0100

sitesummary (0.0.66) unstable; urgency=low

  [ Holger Levsen ]
  * collect.d/system:
    - collect /var/log/Xorg.0.log if it exists to ease X debugging.
    - only run lspci if /proc/bus/pci exists to avoid errors on
      machines without PCI.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Oct 2010 10:09:20 +0200

sitesummary (0.0.65) unstable; urgency=low

  * Start the sitesummary-client init.d script after a local DNS server
    is operational.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Jun 2010 23:51:43 +0200

sitesummary (0.0.64) unstable; urgency=low

  [ Philipp Huebner ]
  * Fix typo in init.d script message.

  [ Petter Reinholdtsen ]
  * Documentation now answers more questions than it asks
    (Closes: #444622).
  * Stop shipping files in /etc/apache/ (Closes: #578239).
  * Add Spanish translation from Camaleón (Closes: #583540).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Jun 2010 08:48:47 +0200

sitesummary (0.0.63) unstable; urgency=low

  * Save some time when collecting cdp information by skipping the
    loopback interface.  It is unlikely to be connected to a Cisco
    switch.
  * Add service definition to dummy nagios configuration generated at
    install time to make sure the dummy entry work with Nagios 3.2
    too.
  * Add homepage link in control file.
  * Update standards-version from 3.8.3 to 3.8.4.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Apr 2010 15:40:03 +0200

sitesummary (0.0.62) unstable; urgency=low

  * Upload to unstable with correct dist.  The last upload
    went only to the Lenny based Debian Edu archive.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 02 Mar 2010 07:47:18 +0100

sitesummary (0.0.61) lenny; urgency=low

  * Do not check anon_inodefs, bdev, cgroup, cifs, cpuset, debugfs,
    hugetlbfs, inotifyfs, mqueue, nfs4, oprofilefs, pipefs, proc,
    ramfs, securityfs, smb and sockfs file systems in Nagios.
  * Improve hardware list by avoiding bogus vendor and model settings.
  * Check cups using the check_cups_queue Nagios module from
    http://exchange.nagios.org/directory/Plugins/Printing/check_cups_queue/details
  * Make client recommend iproute, to make sure the ip command is
    available when the cdpr collecting code needs it.
  * Add 'status' handling to init.d script.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 01 Mar 2010 20:45:21 +0100

sitesummary (0.0.60) unstable; urgency=low

  * Remove files in /var/lib/sitesummary/ when sitesummary package is
    purged.  Thanks to piuparts and Holger Levsen for discovering the
    left behind files.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Feb 2010 11:29:31 +0100

sitesummary (0.0.59) unstable; urgency=low

  * Restructure cron job, move munin and nagios updating code to
    separate scripts to make it possible to update them individually.
  * Change cron job to remove entries before munin and nagios
    configuration is updated, to avoid monitoring removed hosts a day
    after they are removed.
  * New function get_debian_ver() reporting /etc/debian_release content
    in SiteSummary perl module.
  * Create Nagios hostclass using the result from get_debian_ver().
  * New munin plugin drawing graph based on agesinceseen values donated
    by Sverre Jensen.  Rewritten to use the SiteSummary perl module by
    Petter Reinholdtsen.
  * Introduce new agesinceseen group 120-180 to have one limit that
    match the default removal limit (120 days).
  * Adjust munin plugin reporting site count to use original site as
    label and only remove illegal characters for the munin key.
  * Adjust sitesummary postinst to only try to enable nagios
    autoconfig if /etc/default/nagios3 exist.
  * Change munin configuration to use /var/cache/munin/www/ if the
    directory exist, to work out of the box with munin 1.4.0 (Closes:
    #567168).
  * Add new nagios pluing check_kernel_status to report the need for a
    reboot to activate a new kernel.  Written by Toni Van Remortel and
    found at <URL: http://www.monitoringexchange.org >.
  * Do not generate Nagios check for file systems with the fuse.ltspfs
    type, to avoid checking users usb disks on a thin client server.
  * Add three Nagios checks to detect bugs in /etc/resolv.conf,
    /etc/hosts and a shutdown in progress, all written by Petter
    Reinholdtsen and used by the University of Oslo.
  * Move cdpr from recommends to suggests, to avoid installing it by
    default as should only be installed on system connected to Cisco
    switches.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 04 Feb 2010 10:53:25 +0100

sitesummary (0.0.58) unstable; urgency=low

  * Ignore entries from host failing to report MAC address, and log this
    to syslog, to avoid getting bogus entries.
  * Fix brown paper back typo in collection of xfs config file.
  * Provide host-notify-by-email Nagios command as well.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Jan 2010 09:09:52 +0100

sitesummary (0.0.57) unstable; urgency=low

  * Allow numbers in Nagios host class names.
  * Create Nagios hostclass for sitesummary hostclass, Debian Edu
    profile and version settings.
  * Collect switch port information using CPD when cdpr is installed.
    Recommend cdpr from the client to increase the chance of finding
    cdpr.
  * Correct name of cups package when generating Nagios check for
    cups.
  * Add SMTP check to Nagios configuration if the exim4-daemon-heavy
    or exim4-daemon-light packages are installed.
  * Correct Nagios documentation in the README.
  * Use switch information collected using cdpr to specify Nagios
    host parent relationships.
  * Mention ignored laptops in generated Nagios config to make it
    easier to figure out why a machine is not monitored.
  * Collect /etc/X11/fs/config to make it possible to figure out of
    xfs should listen on TCP or not.
  * Only generate TCP port check for xfs if /etc/X11/fs/config state
    that it is listening on TCP.
  * Add Vcs-Browser and Vcs-Svn entries in control file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Jan 2010 20:53:18 +0100

sitesummary (0.0.56) unstable; urgency=low

  * Replace Nagios main config file with one based on the current one
    from Nagios v3 instead of the old one which was based on
    debian-edu-config.
  * Provide more time periods (workhours, nonworkhours, never) for the
    Nagios configuration.
  * Make sure to create a dummy Nagios configuration during
    installation when Nagios autoconfiguration is enabled, to make
    sure Nagios start on first boot when sitesummary is installed from
    debian-installer.
  * Make sure cron job do not replace the existing generated nagios
    config with a empty file if no entries have been submitted.
  * Generate Nagios host groups for the site and sitegroup provided
    from each client.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Jan 2010 11:26:58 +0100

sitesummary (0.0.55) unstable; urgency=low

  * Update documetation on how to enable NRPE configuration on the
    clients.
  * Make sure a Nagios ping check is generated for each hosts default route.
  * Check ftp from Nagios if proftpd is installed.
  * Move nagios contact information to separate file, to avoid
    conffile questions during upgrades if the contacts are changed and
    only the commands change.
  * Drop Nagios dhcp check, as it do not seem to work.
  * Provide debconf preseeding support (using hidden questions) for
    activating Nagios NRPE configuration on clients and Nagios
    autoconfiguration on the server.
  * Automatically detect if remote NRPE commands can be used for
    Nagios checks, and if arguments can be passed or not.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Jan 2010 18:59:13 +0100

sitesummary (0.0.54) unstable; urgency=low

  * Rewrite how nagios configuration is generated to use a function to
    generate each service check.
  * Do not generate from cron the nagios checks that need nrpe
    configuration by default.
  * Add checks for running cron and working dhcp to Nagios
    configuration.
  * Collect /etc/nagios/nrpe.cfg and /etc/nagios/nrpe_local.cfg.
  * Provide NRPE configuration on the clients in
    /etc/nagios/sitesummary-nrpe-commands.cfg

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jan 2010 19:31:25 +0100

sitesummary (0.0.53) unstable; urgency=low

  * Collect software raid status from /proc/mdstat if it exist.
  * Generate Nagios checks for number of users, software raid,
    processes, zombie processes, apt upgrades, swap, dns, imaps, nfs
    and squid too.  Rename Nagios services to use lower case
    characters.
  * Only reload Nagios in cron job if the generated configuration
    changed.
  * Quiet down first invocation of the cron job.
  * Make sure entry IDs are lower case, independend of what the client
    submitted.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Jan 2010 11:16:58 +0100

sitesummary (0.0.52) unstable; urgency=low

  * Change cron job to only reload nagios when the sitesummary generated
    nagios configuration is the active one.
  * Document in the README how to enable the Munin autoconfiguration.
  * Document in the README how to enable the Nagios autoconfiguration.
  * Suggest the munin and nagios packages needed for autoconfiguration
    to work.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 07 Jan 2010 19:40:14 +0100

sitesummary (0.0.51) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * Make sure to collect /proc/meminfo.
  * Add Japanese translation from Hideki Yamane (Closes: #555692).

  [ Petter Reinholdtsen ]
  * Ignore kernel file system type fusectl when generating Nagios
    checks.
  * Make sure the generated Nagios host entries uses a template.
  * Make sure cron job exit imediately and without an error code if
    the sitesummary package is removed but not purged (Closes: #563066).
  * Implement draft Nagios autoconfiguration.
  * Implement support for calling hooks when a sitesummary entry is
    expired (Closes: #491918).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Jan 2010 21:00:16 +0100

sitesummary (0.0.50) unstable; urgency=low

  * Change build rules to make sure update-rc.d arguments matches the
    LSB header.
  * Add missing perl-modules dependency for sitesummary.  Thanks to
    piuparts for discovering.
  * Changed Standards-Version from 3.8.0 to 3.8.3.  No change needed.
  * Make sure sitesummary-client postinst fail on first error.
  * Move to debhelper 5.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Sep 2009 23:38:15 +0200

sitesummary (0.0.49) unstable; urgency=low

  * Add $syslog as init.d script dependency, to document that this
    package might log to syslog.
  * Updated Czech translation from Michal Simunek (Closes: #532230).
  * Add Slovak translation from Ivan Masár (Closes:  #532967).
  * Add Russian translation from Yuri Kozlov (Closes: #544256).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Aug 2009 13:22:36 +0200

sitesummary (0.0.48) unstable; urgency=low

  [ Holger Levsen]
  * Add depends for net-tools to sitesummary-client.

  [ Petter Reinholdtsen ]
  * Get rid of error messages from laptop-detect when collecting system
    information.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  3 Apr 2009 08:29:12 +0200

sitesummary (0.0.47) unstable; urgency=low

  * Fix bug in collector hook handling.  Now it uses the correct
    'update' argument when calling hook scripts on updates.
  * Make sure to export the get_primary_ip_address function in the
    SiteSummary perl module.
  * Add perl function get_macaddress() to return all ethernet
    MAC addresses.
  * Add Swedish translation from Martin Ågren (Closes: #492067).

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Aug 2008 19:19:38 +0200

sitesummary (0.0.46) unstable; urgency=low

  * Ignore bogus hardware version 'System Version' when reporting
    hardware statistic.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jul 2008 13:05:23 +0200

sitesummary (0.0.45) unstable; urgency=low

  * Add new script hardware-model-summary to list the different
    hardware vendor and models.
  * Report the hardware models in the default web page.
  * Rewrite get_primary_macaddress() to return the same MAC address
    independently from the interface ordering returned by ifconfig -a.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 Jul 2008 20:00:45 +0200

sitesummary (0.0.44) unstable; urgency=low

  * Undo fix for slow propagation of information on first time
    install, because it fail when both client and server are installed
    at the same time using d-i.
  * Updated standards-version from 3.7.3 to 3.8.0.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 Jul 2008 00:50:51 +0200

sitesummary (0.0.43) unstable; urgency=low

  * Fix the code running collector handlers, to get it working when
    the perl script is in tained mode.
  * Collect the current route table, if the host is a laptop, the
    public ssh host keys and the xorg.conf file.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Jul 2008 09:53:18 +0200

sitesummary (0.0.42) unstable; urgency=low

  * Make sure to read /etc/environment in init.d/sitesummary-client
    script, to activate the common http proxy settings.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 21:40:49 +0200

sitesummary (0.0.41) unstable; urgency=low

  * Accept nagios3 clients as nagios clients.
  * New argument -w to sitesummary-nodes, to list DNS name and MAC address,
    for use with wakeonlan packages.
  * Fix slow propagation of information on first time install, by
    making sure the server cron job calls sitesummary-client before
    processing all entries.
  * Add usage information to sitesummary-nodes.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Jun 2008 10:48:04 +0200

sitesummary (0.0.40) unstable; urgency=low

  * Updated sitesummary-nodes:
    - Ignore nfs file systems when generating nagis configuration.
  * Fix typo in munin plugin.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Jun 2008 12:08:17 +0200

sitesummary (0.0.39) unstable; urgency=low

  * Rename munin plugin file name to get it working with munin.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Jun 2008 12:50:17 +0200

sitesummary (0.0.38) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Updated sitesummary-nodes:
    - Use IP address as hostname if the provided hostname is bogus
      or missing in DNS.
    - Use the IP address from ifconfig, not the sitesummary peer address,
      when generating nagios configuration, to avoid using the web proxy IP
      address.
    - Ignore filesystem types autofs, binfmt_misc, iso9660, nfsd and usbfs
      when generating nagios checks.
    - More automatically configured Nagios checks based on the
      old Debian Edu configuration.
  * Add munin plugin to graph sites based on an idea from Narvik.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Jun 2008 12:22:23 +0200

sitesummary (0.0.37) unstable; urgency=low

  [ Morten Werner Forsbring ]
  * Add DOCTYPE declaration in the html output.
  * Use more html in the sitesummary-makewebreport.
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Changed my lastname.

  [ Patrick Winnertz ]
  * Fix lintian warning. ${misc:Depends} is always extended to the same
    values, so a listing in Depends and Recommends makes no sense.

  [ Petter Reinholdtsen ]
  * Collect current runlevel in the system directory.
  * Fix typo in agesinceseen-summary header.
  * Link to documentation wiki page in the README.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 May 2008 17:17:57 +0200

sitesummary (0.0.36) unstable; urgency=low

  [ Holger Levsen ]
  * Fix minor html error in html output.

  [ Petter Reinholdtsen ]
  * Fix typo in handling of munin.conf.post.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Dec 2007 11:15:44 +0100

sitesummary (0.0.35) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Recognice nagios2 as a nagios client/server indicator.

  [ Daniel Hess ]
  * Make get_peerinfo of sitesummary-collector.cgi return the
    dotted decimal representation of the remote IP address even
    with webservers that don't set REMOTE_ADDR but passes the
    filedescriptor of the TCP socket.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  3 Dec 2007 21:25:29 +0100

sitesummary (0.0.34) unstable; urgency=low

  * Prefer REMOTE_ADDR over the output from gethostbyaddr() in
    get_peerinfo(), to avoid "Bad arg length" problem.  Rewrite
    get_peerinfo() to look ip REMOTE_ADDR in DNS when creating
    peerinfo.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Dec 2007 19:25:51 +0100

sitesummary (0.0.33) unstable; urgency=low

  * Collect loaded kernel modules, to ease nagios autoconfiguration.
  * Add >180 days to the agesinceseen-summary list, for really old entries.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Dec 2007 14:13:16 +0100

sitesummary (0.0.32) unstable; urgency=low

  * Collect /proc/mounts and /etc/fstab in system, for use when
    generating nagios checks for the file systems.
  * Start on experimental code to generate nagios configuration from
    the collected sitesummary information.
  * Fix peername code in the collector.
  * Set the locale to C when collecting data, to make sure the output
    format is well known. (Closes: #452899)
  * Minor cleanup in output.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Nov 2007 09:52:33 +0100

sitesummary (0.0.31) unstable; urgency=low

  * Add -l option to kernelversion-summary and site-summary, to get it
    to list the individual hosts with the given kernel version and
    site/sitegroup setting.
  * New script agesinceseen-summary, listing the hosts that have
    failed to submit a report in the last few days.  It support -l to
    list the individual hosts.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Nov 2007 22:28:14 +0100

sitesummary (0.0.30) unstable; urgency=low

  * Change default apache setup to allow everyone read access to
    /sitesummary/ instead of only localhost, as the default report do
    not include very sensible information.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  4 Nov 2007 13:41:11 +0100

sitesummary (0.0.29) unstable; urgency=low

  * Add get_hostclass() to the SiteSummary perl module API.
  * Add host class summary to the default list of web reports.
  * Fix typo in server cron job.  Can't use nice on a shell function.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Oct 2007 10:02:44 +0200

sitesummary (0.0.28) unstable; urgency=low

  [ Luk Claes ]
  * Removed myself from uploaders.

  [ Petter Reinholdtsen ]
  * Make sure the server cron job do not report error when the package
    is removed but not purged. (Closes: #445604)
  * Move random sleep from the report script and into the cron script,
    to make it possible to report imediately from a client.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 12 Oct 2007 19:10:09 +0200

sitesummary (0.0.27) unstable; urgency=low

  * Modify the client code to sleep for a random number of seconds
    between 0 and 3600 to make sure all clients do not overload the
    server, based on code from cron-apt.
  * Only list clients in sitesummary-nodes with the munin-node package
    installed when generating munin configuration file.
  * Let sitesummary depend on ${misc:Depends} to get the required
    debconf dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  3 Jul 2007 09:46:29 +0200

sitesummary (0.0.26) unstable; urgency=low

  * Add code in the server cronjob to generate a replacement
    munin.conf, and make it possible to activate it in munin by
    setting MUNINDIR=/etc/munin/ in collector.cfg.
  * Add preseedable hidden boolean debconf question
    sitesummary/replace-munin-config to make it possible to enable
    this feature at install time.
  * Update the postinst script to make sure the install time code is
    only executed during configure.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 May 2007 15:56:16 +0200

sitesummary (0.0.25) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New perl function get_hostname() available from the SiteSummary
    perl module.
  * Add script sitesummary-nodes to list all reporting nodes.  Use -m
    to list them in the format expected in /etc/munin/munin.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 May 2007 08:21:40 +0200

sitesummary (0.0.24) unstable; urgency=low

  [ Bart Cornelis (cobaco) ]
  * Updated templates file as it was out of date
  * Added Dutch translation

  [ Petter Reinholdtsen ]
  * Run cron job just after installation, to get the web page generated.
    (Closes: #423256)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 May 2007 09:24:23 +0200

sitesummary (0.0.23) unstable; urgency=medium

  * Added German debconf translation. Thanks to Helge Kreutzmann.
    (Closes: #411569)

 -- Morten Werner Olsen <werner@debian.org>  Wed,  7 Mar 2007 15:35:47 +0100

sitesummary (0.0.22) unstable; urgency=medium

  * Include first protuguese debconf translation for sitesummary
    (Closes: #409406) Thanks to Carlos Lisboa

 -- Steffen Joeris <white@debian.org>  Mon, 12 Feb 2007 15:35:24 +1100

sitesummary (0.0.21) unstable; urgency=low

  [ Holger Levsen ]
  * Removed myself from uploaders

  [ Luk Claes ]
  * Updated French debconf translation, thanks to Cyril Brulebois
    (Closes: #403444).

  [ Steffen Joeris ]
  * Add myself to uploaders

 -- Steffen Joeris <white@debian.org>  Sun, 14 Jan 2007 12:07:28 +0100

sitesummary (0.0.20) unstable; urgency=low

  * Fix regex used to extract eth0 MAC address, to avoid matching peth0
    on a vmware box.
  * Improve template text to include the example URL. to make it
    easier to come up with URLs usable from external machines.
  * Add perl-modules as dependency for sitesummary-client, to make
    sure Getopt::Std is available for sitesummary-upload.
  * Add new collect.d/debian to collect debian specific stuff.  Now
    collects /etc/debian_version and the output from dpkg -l.
  * Change the collector to use the mac address from eth1 or eth2 if
    eth0 isn't usable.
  * Throw away error messages from dmidecode when collecting info, to
    avoid daily cron mails from Xen machines.
  * Only use a2dissite to disable the site if it is enabled.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Dec 2006 15:28:23 +0100

sitesummary (0.0.19) unstable; urgency=low

  [ Luk Claes ]
  * Added myself to uploaders.

  [ Petter Reinholdtsen ]
  * Collect /proc/cpuinfo using collect.d/system.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 20:47:51 +0100

sitesummary (0.0.18) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Do not recommend sitesummary from sitesummary-client, to make it
    easier to install the client with aptitude without pulling in the
    server.
  * Include Czech translation by Jakub Kasparec. (Closes: #396717)

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  2 Nov 2006 20:04:12 +0100

sitesummary (0.0.17) unstable; urgency=low

  [ Steffen Joeris ]
  * Include french debconf translations (Closes: #392887)
    Thanks to Cyril Brulebois

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 Oct 2006 12:03:48 +0200

sitesummary (0.0.16) unstable; urgency=low

  * Fix typo in get_debian_edu_ver() making it fail to
    find the version name.
  * Add sitesummary-client.postrm file to remove the
    generated configuration files during purge.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Oct 2006 13:14:16 +0200

sitesummary (0.0.15) unstable; urgency=low

  [ Steffen Joeris ]
  * Remove code to set the debconf value explicitely in the
    sitesummary-client.config script to avoid possible conflict
    (Closes: #391593)

  [ Petter Reinholdtsen ]
  * Make sure the debconf value only is set in sitesummary-client.config
    when local configuration exist.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Oct 2006 20:27:01 +0200

sitesummary (0.0.14) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct typo in recommends list for sitesummary-client;
    dmidecide->dmidecode. (Closes: #391255)
  * Add symlink from /etc/apache/conf.d/sitesummary to
    /etc/apache2/conf.d/sitesummary, to work with both apache and
    apache2.  Adjust dependency accordingly, and rewrite postinst to
    continue working when apache2-common isn't installed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Oct 2006 19:21:18 +0200

sitesummary (0.0.13) unstable; urgency=low

  * Change server cron job to remove entries after 120 days.
  * Make it possible to override server config using
    /etc/sitesummary/collector.cfg.
  * Include a timestamp in the simple web report, to document when the
    web page was last updated.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  5 Oct 2006 09:04:47 +0200

sitesummary (0.0.12) unstable; urgency=low

  * Modify the system info collector script to ignore non-true exit
    codes from the programs.  This make sure it work on systems
    without usb support, among other things.
  * Modify client script to ignore non-true exit codes from the
    collector fragments.
  * Modify the sitesummary postinst script to make sure
    /var/lib/sitesummary/tmpstorage and /var/lib/sitesummary/entries
    are owned by user www-data.  This give the cgi-script write access
    to the storage area.
  * Switch the client from cron.d to cron.daily.
  * Add collector for debian-edu configuration.  Correct server
    summary part to use the collected file.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 10:39:18 +0200

sitesummary (0.0.11) unstable; urgency=low

  * Fix minor typo in debian_edu-summary.
  * Quiet down debian_edu-summary runs for machines without the
    Debian Edu config file.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Sep 2006 08:33:39 +0200

sitesummary (0.0.10) unstable; urgency=low

  * Fix typo in sitesummary postinst, breaking upgrades.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Sep 2006 21:24:01 +0200

sitesummary (0.0.9) unstable; urgency=low

  * Initial upload into Debian.
  * Improve template text.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Sep 2006 20:17:48 +0200

sitesummary (0.0.8) terra; urgency=low

  [ Steffen Joeris ]
  * Add missing dependency for sitesummary against apache2-common
    which is needed for a2dissite in the postinst script
  * Write subroutine for debian_edu_profile which is needed for the
    debian-edu report to reflect the profile
  * Add debian_edu-summary script and adjust Makefile and the
    sitesummary-makewebreport script
  * Write subroutine for debian_edu_vers to reflect the current
    debian-edu-version

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue,  5 Sep 2006 21:21:24 +1000

sitesummary (0.0.7) terra; urgency=low

  [ Petter Reinholdtsen ]
  * Add daily cron job to update web pages once a day.
  * Remove old /etc/apache2/sites-available/sitesummary if it exist, to
    cope with the new apache config structure introduced version 0.0.6.

  [ Holger Levsen ]
  * because debhelper.mk is used, the dependency on debhelper needs to
    be >=4.1.0
  * moved the build-depends-indep back to to build-depends, as build-depends
    on cdbs and debhelper must not be arch independent build depends.
  * updated fsf address in copyright

 -- Holger Levsen <debian@layer-acht.org>  Fri,  1 Sep 2006 16:12:33 +0200

sitesummary (0.0.6) terra; urgency=low

  [ Petter Reinholdtsen ]
  * Let the client recommend cron, as it need it to call
    in after the initial submission after boot.
  * Add trivial sitesummary-makewebreport to make a web page with the summary
    results.
  * Let the collector store the IP peer info about each entry.  Not
    yet working, as the getpeername() code is broken.
  * Extend package descriptions and make them more useful.
  * Improve copyright file.
  * Change build-depend to build-depend-indep, as this package
    currently is architecture neutral.

  [ Morten Werner Olsen ]
  * Rewrite Apache example config and place it in /etc/apache2/conf.d/
    as /etc/apache2/sites-available/ is ment for new virtualhosts (which
    is not what we want).
  * Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Aug 2006 08:34:30 +0200

sitesummary (0.0.5) terra; urgency=low

  [ Petter Reinholdtsen ]
  * Add debconf question for sitegroup and host class.
  * Collect output from lsusb and lsscsi if they are present.
  * Drop wget as dependency for sitesummary-client.  It is no longer used.
  * Include apache2 example configuration.
  * Try to create the directories in /var/lib/sitesummary/ with www-data
    as the owner, to allow the cgi script to write into them.
  * Remove sitecontact references.  I'm not sure it is the right place
    for it, and we can reintroduce it if it proves to be a good idea.

  [ Steffen Joeris ]
  * Update debian/copyright file

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Aug 2006 18:26:01 +0200

sitesummary (0.0.4) terra; urgency=low

  [ Petter Reinholdtsen ]
  * Reduce code duplication in SiteSummary.pm.  Add new function
    get_sitegroup().
  * Extend site-summary script to also entries per sitegroup within a
    site.

  [ Steffen Joeris ]
  * Add cdbs to build-depends
  * Change build-depends-indep to build-depends as programs are needed
    for the clean target
  * Clean up control file and fix Recommends to make sure lintian is
    happy
  * Update debconf templates to fix a lintian warning

  [ Petter Reinholdtsen ]
  * Reduce compat level to 4 as #337664 is not affecting this package
    after I modified it to not start the init.d script when the
    package is installed.  This make the source buildable in sarge.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Aug 2006 08:05:55 +0200

sitesummary (0.0.3) terra; urgency=low

  * Remove temp file when it is processed by the collector.
  * Include the directories in /var/lib/sitesummary/ used by the
    collector in the sitesummary package.
  * Make it easier to configure the time delay from the boot until a
    report is submitted.
  * Change the sitesummary-client postinst to not submit information
    when the package is installed.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Aug 2006 22:13:06 +0200

sitesummary (0.0.2) terra; urgency=low

  * Make temp file name more unique by adding process id to it, while
    I wait for a working getpeername call.
  * Add debconf question for collector URLs and site.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Aug 2006 13:58:13 +0200

sitesummary (0.0.1) terra; urgency=low

  * Initial release.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Aug 2006 12:04:28 +0200

